"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var angular = require("angular");
var AjaxFactory = (function () {
    function AjaxFactory($http, $rootScope) {
        this.$http = $http;
        this.$rootScope = $rootScope;
    }
    AjaxFactory.Factory = function () {
        return this.$inject;
    };
    AjaxFactory.prototype.$get = function () {
        return this;
    };
    AjaxFactory.prototype.httpServerCall = function (url, method, data, success, failure) {
        if (failure === void 0) { failure = undefined; }
        url = url.replace('//', '/');
        var headers = { 'Content-Type': 'application/x-www-form-urlencoded' };
        if (this.$rootScope.token) {
            headers['Authorization'] = 'Bearer ' + this.$rootScope.token;
        }
        var options = {
            url: url,
            method: method,
            headers: headers
        };
        if (data) {
            if (options.method.toUpperCase() === 'GET') {
                options['params'] = data;
            }
            else {
                options['data'] = $.param(data);
            }
        }
        this.$http(options).then(function (response) {
            success && success(response.data);
        }, function (error) {
            failure && failure(error);
        });
    };
    return AjaxFactory;
}());
AjaxFactory.$inject = ['$http', '$rootScope'];
AjaxFactory.factoryName = 'ajax-factory';
exports.AjaxFactory = AjaxFactory;
AjaxFactory.$inject.push(function (http, $rootScope) {
    return new AjaxFactory(http, $rootScope);
});
exports.AjaxFactoryModule = angular.module('ajax-factory-module', []);
exports.AjaxFactoryModule.factory(AjaxFactory.factoryName, AjaxFactory.Factory());
//# sourceMappingURL=AjaxFactory.js.map